- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
GNet::SocketProtocolSink Class Referenceabstract

An interface used by GNet::SocketProtocol to deliver data from a socket. More...

`#include <gsocketprotocol.h>`

Inheritance diagram for GNet::SocketProtocolSink:

## Public Member Functions
virtual | ~SocketProtocolSink ()
| Destructor. More...

## Protected Member Functions
virtual void | onData (const char *, std::string::size_type)=0
| Called when data is read from the socket. More...
virtual void | onSecure (const std::string &peer_certificate)=0
| Called once the secure socket protocol has been successfully negotiated. More...

## Friends
class | SocketProtocolImp

## Detailed Description

An interface used by GNet::SocketProtocol to deliver data from a socket.

Definition at line 112 of file gsocketprotocol.h.

## Constructor & Destructor Documentation

GNet::SocketProtocolSink::~SocketProtocolSink | ( |  | ) |
| virtual

Destructor.

Definition at line 570 of file gsocketprotocol.cpp.

## Member Function Documentation

virtual void GNet::SocketProtocolSink::onData | ( | const char * | ,
|  | std::string::size_type |
| ) |  |
| protected pure virtual

Called when data is read from the socket.

Implemented in GNet::Client, GNet::ResolverImp, and GNet::BufferedServerPeer.

virtual void GNet::SocketProtocolSink::onSecure | ( | const std::string & | peer_certificate | ) |
| protected pure virtual

Called once the secure socket protocol has been successfully negotiated.

Implemented in GSmtp::Client, GSmtp::RequestClient, GSmtp::SpamClient, GSmtp::AdminServerPeer, GSmtp::ServerPeer, GPop::ServerPeer, and GNet::ResolverImp.

## Friends And Related Function Documentation

friend class SocketProtocolImp
| friend

Definition at line 119 of file gsocketprotocol.h.

The documentation for this class was generated from the following files:

- gsocketprotocol.h
- gsocketprotocol.cpp